import request from '@/utils/request'

export function list(data) {
    return request({
      url: '/publishReport/list',
      method: 'post',
      data: data
    })
  }


  export function deleteReport(id) {
    return request({
      url: '/publishReport/delete?id=' + id,
      method: 'get'
    })
  }

  export function updateStatus(data) {
    return request({
      url: '/publishReport/updateStatus',
      method: 'post',
      data
    })
  }

  // 获取模型版本信息
  export function getModelVersion(id) {
    return request({
      url: `ModelVersion/finbyid?id=${id}`,
      method: 'get',
    })
  }
  // 获取模型版本信息
  export function getModelInfo(id) {
    return request({
      url: `model/selectModelById?id=${id}`,
      method: 'get',
    })
  }


  // 获取模型版本信息
  export function getModeWorkFlowVersion(id) {
    return request({
      url: `WorkFlowVersion/selectVersionByWorkId?workId=${id}`,
      method: 'get',
    })
  }
  // 获取模型版本信息
  export function getModeWorkFlowInfo(id) {
    return request({
      url: `WorkFlow/selectWorkFlowById?id=${id}&type=1`,
      method: 'get',
    })
  }